@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Beiruti:wght@200..900&family=Cairo:wght@200..1000&family=Figtree:ital,wght@0,300..900;1,300..900&family=Gupter:wght@400;500;700&family=Hanken+Grotesk:ital,wght@0,100..900;1,100..900&family=Kumbh+Sans:wght@100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans+Hanunoo&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

*{
    font-family: "Be Vietnam Pro", sans-serif;
}
 
a {
    text-decoration: none !important;
}


/* body{
    width: 100vw;
    overflow-x: hidden;
} */
/* root */
/* :root{
    --background-page: #f7f9fb;
    --white-color: #ffffff;
    --title-color: #012970;
    --black-color: #000000;
    --lable-color: #656d9a;
    --border-color: #e2e7f1;
    --body-color: #2b2d3b;
    --secondary-color: #22c5ad;
    --primary-color: #4154f1;
    --danger-color: #dc3545;
    --info-color: #0dcaf0;
    --secondary-gray-color: #949fc4;
    --secondary-gray-color-light: #949fc41a;
    --primary-color-hover: #4153f1d7;
    --hover-noti: #f6f9ff;
    --warning-color: #ff9f43;
    --pink-color: #fd3c97;
} */
/* Light Mode (Default) */
:root {
    --background-page: #f7f9fb;
    --background-body: #dce8ff3d;
    --white-color: #ffffff;
    --title-color: #012970;
    --black-color: #000000;
    --lable-color: #656d9a;
    --border-color: #e2e7f1;
    --body-color: #2b2d3b;
    --secondary-color: #22c5ad;
    --primary-color: #4154f1;
    --danger-color: #dc3545;
    --info-color: #0dcaf0;
    --secondary-gray-color: #949fc4;
    --secondary-gray-color-light: rgba(148, 159, 196, 0.1);
    --primary-color-hover: rgba(65, 83, 241, 0.85);
    --hover-noti: #f6f9ff;
    --warning-color: #ff9f43;
    --pink-color: #fd3c97;
    --bs-heading-color: #384adf;
    --transparent-primary: #c8ceff;
    --dark-color: #212529;
}

/* Dark Mode */
[data-theme="dark"] {
    --background-page: #1a1a2e;
    --background-body: #000000;
    --white-color: #202031;
    --title-color: #f3f3f3;
    --bs-heading-color: #384adf;
    --black-color: #f9f9f9;
    --lable-color: #a5a6c5;
    --border-color: #38394a;
    --body-color: #e0e0e0;
    --secondary-color: #1db7a8;
    --primary-color: #384adf;
    --danger-color: #e06a6a;
    --info-color: #0aa9cc;
    --secondary-gray-color: #8b95b2;
    --secondary-gray-color-light: rgba(139, 149, 178, 0.1);
    --primary-color-hover: rgba(56, 74, 223, 0.85);
    --hover-noti: #2a2c3a;
    --warning-color: #d98c3a;
    --pink-color: #e33c84;
    --transparent-primary: #2a2c3a;
    --dark-color: #424649;
}
body{
    background: var(--background-body) !important;
}
.bg-white {
    background-color: var(--white-color) !important;
}
#name-of-company{
    font-size: 25px;
    color: var(--primary-color);
    font-weight: 700;
    text-transform: uppercase;
    -webkit-box-reflect: below 1px linear-gradient(transparent, rgba(201, 31, 31, 0.418));
    line-height: 0.70em;
    outline: none;
}

/*-------------*/
/*---Scroll-----*/
/*-------------*/
::-webkit-scrollbar{
    width: 5px;
}
::-webkit-scrollbar-track{
    background: dark;
}
::-webkit-scrollbar-thumb{
    background: #ccc;
    border-radius: 0;
}

#themeToggle{
    font-size: 20px;
    cursor: pointer;
    color: var(--title-color);
    margin-right: 10px;
}
/*----------------*/
/*----NavBar-------*/
/*----------------*/
.header {
    transition: all 0.5s;
    width: 100%;
    height: 70px;
    padding-left: 20px;
    padding-top: 13px;
    padding-bottom: 13px;
    display: flex;
    z-index: 997;
    position: fixed;
}
.logo {
    line-height: 1;
    text-decoration: none;
    max-width: 280px;
}

.logo img {
    margin-right: 6px;
}
.logo span {
    font-size: 26px;
    font-weight: 700;
    color: var(--title-color);
}

.bi-list {
    font-size: 32px;
    padding-left: 10px;
    cursor: pointer;
    color: var(--title-color);   
    margin-top: -10px; 
    margin-left: 130px;
}


.searchNav{
    padding: 0 10px;
}

.search-bar {
    min-width: 360px;
    padding: 0 20px;
}
.search-form {
    width: 100%;
    position: relative;
}
.search-form input {
    border: 0;
    font-size: 14px;
    color: var(--title-color);
    border: 1px solid var(--border-color);
    padding: 11px 42px 11px 8px;
    border-radius: 3px;
    transition: 0.3s;
    height: 40px;
    box-shadow: none !important;
    width: 100%;
}
.search-form input:focus{
    border: 1px solid var(--secondary-color);
}
.search-form button {
    border: 0;
    padding: 0;
    margin-left: -30px;
    background: none;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    padding: 0.5rem;
    color: var(--white-color);
    width: 40px;
    height: 40px;
    background: var(--primary-color);
}


.header .search-bar-show {
    top: 60px;
    visibility: visible;
    opacity: 1;
}
/*------------------*/
/*-----Navbar End------*/
/*------------------*/



.header-nav .badge-number {
    position: absolute;
    inset: -2px -5px auto auto;
    font-weight: normal;
    font-size: 10px;
    padding: 3px;
}
.header-nav ul {
    list-style: none;    
    margin: 0;
    padding: 0;
}
.header-nav .nav-icon {
    position: relative;
    cursor: pointer;
    font-size: 20px;
    cursor: pointer;
    color: var(--title-color);
    margin-right: 10px;
}
.header-nav .notifications {
    inset: 8px -15px auto auto !important;
}

#dropdown-menu {
    border-radius: 4px;
    padding: 10px 0;
    animation-name: dropdown-animate;
    animation-duration: 0.2s;
    animation-fill-mode: both;
    border: 0;
    background: var(--background-page);
    box-shadow: 0 5px 30px 0 rgba(82, 63, 105, 0.2);
}
/* .dropdown-menu-arrow::before {
    content: "";
    width: 13px;
    height: 13px;
    background: var(--primary-color);
    position: absolute;
    top: -7px;
    left: 20px;
    transform: rotate(45deg);
    border-top: 1px solid var(--primary-color);
    border-left: 1px solid var(--primary-color);
} */
.header-nav .notifications .notification-item {
    display: flex;
    align-items: center;
    padding: 15px 10px;
    transition: 0.3s;
}
.header-nav .notifications .notification-item i {
    margin: 0 20px 0 10px;
    font-size: 24px;
}

.header-nav .notifications .notification-item h4 {
    font-size: 13px;
    font-weight: 600;
    margin-bottom: 5px;
}
.header-nav .notifications .notification-item p {
    font-size: 13px;
    margin-bottom: 3px;
    color: var(--lable-color);
}
.header-nav .notifications .notification-item:hover {
    background-color: var(--hover-noti);
}
.dropdown-menu .dropdown-divider {
    color: #a5c5fe;
    margin: 0;
}
.dropdown-menu .dropdown-header, .dropdown-menu .dropdown-footer {
    text-align: center;
    font-size: 15px;
    padding: 10px 25px;
}
.dropdown-footer a {
    color: var(--body-color);
    text-decoration: none;
}
.dropdown-footer a:hover{
    text-decoration: underline;
}

/*-------------*/
/*----Message----*/
/*-------------*/
.header-nav .messages .message-item {
    padding: 15px 10px;
    transition: 0.3s;
}
.header-nav .messages .message-item a {
    display: flex;
    text-decoration: none;
}
.header-nav .messages .message-item img {
    margin: 0 20px 0 10px;
    max-height: 40px;
}
.header-nav .messages .message-item h4 {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 5px;
    color: var(--body-color);
}
.header-nav .messages .message-item p {
    font-size: 13px;
    margin-bottom: 3px;
    color: var(--lable-color);
}
.header-nav .messages .message-item:hover {
    background-color: var(--hover-noti);
}

/*--------------*/
/*---Profile-----*/
/*--------------*/
.header-nav .nav-profile {
    color: var(--title-color);
}
.nav-profile img {
    width: 40px;
}

.header-nav .nav-profile span{
    font-size: 14px;
    font-weight: 600;
}
.header-nav .profile .dropdown-header h6 {
    font-size: 18px;
    margin-bottom: 0;
    font-weight: 600;
    color: var(--body-color);
}
.header-nav .profile .dropdown-header span {
    font-size: 14px;
}
.header-nav .profile .dropdown-item {
    font-size: 14px;
    padding: 10px 15px;
    transition: 0.3s;
    color: var(--body-color);
}
.header-nav .profile .dropdown-item:hover {
    background-color: var(--hover-noti);
}
.header-nav .profile .dropdown-item i {
    margin-right: 10px;
    font-size: 18px;
    line-height: 0;
}
#fullscreen{
    font-size: 20px;
    cursor: pointer;
    color: var(--title-color);
    /* margin-left: 10px; */
}



@media (max-width:991px) {
    #listMenu{
        justify-content: start;
    }
    .logo span{
        display: none;
    }
    .bi-list {
        margin-left: auto;
    }
    .search-bar{
        display: none;
    }   
}


/*---------------*/
/*-----sidebar, Navbar----*/
/*---------------*/
.sidebar{
    width: 270px;
    transition: 0.5s;
    overflow: auto;
    padding: 0.5rem;
    padding-top: 4rem;
    height: 100vh;
    position: sticky;
    top: 0;
    bottom: 0;
    left: 0;
    background: var(--white-color);
    min-height: 100vh;
    z-index: 99;
}

#light-nav{
    font-size: 25px;
    transition: 1s;
    color: var(--title-color);
}
 
.small-sidebar #light-nav{
    transform: rotateY(360deg);

}
.small-sidebar .bi-lightning-charge::before {
    content: "\F46C";
    transform: rotateY(-360deg);

}
.nav-item #navLink.active{
    color:var(--primary-color);
    border-left: 5px solid var(--primary-color);
    background-color: var(--hover-noti);
}

.sidebar a{
    color: var(--title-color);
}
.sidebar a:hover{
    color: var(--primary-color);
}
.small-sidebar{
    width: 70px;
    /* padding: auto 8px 0; */
} 

.sidebar-text{
    font-weight: 400;
    font-size: 15px;
    margin-left: 1rem;
}

#logo-site{
    justify-content: space-between;
    align-items: center;
    padding: 0.2rem 1rem;
}
.small-sidebar .fa-angle-down{
    display: none;
}
#icon-nav{
    font-size: 1.2rem;
}

.sidebar #sidebar-img{
    transition: 1s;
    transform: rotateY(-180deg);
}
.small-sidebar #sidebar-img{
    transition: 1s;
    transform: rotateY(180deg);
}


.small-sidebar .sidebar-text{
    display: none;
}

#navLink{
    margin-bottom: 0.3rem;
    border-radius: 0 3px 3px 0;
    border-left: 5px solid var(--white-color);
}
#navLink:hover{
    background: var(--hover-noti);
    border-left: 5px solid var(--primary-color);
}
#navLink .bi-circle{
    font-size: 10px;
}

#navLink:not(.collapsed) .fa-angle-down{
    transform: rotateX(180deg);
}
#navLink .fa-angle-down{
    transform: rotate(0);
    transition: 0.5s;
}
.dropdown-toggle::after{
    display: none;
}

.b-example-vr{
    width: 1px;
    background: var(--primary-color)48;
}

/*-----------------------*/
/*----Page Content---*/
/*-----------------------*/
.page-content {
    width: 100%;
    position: relative;
    min-height: calc(100vh - 120px);
    padding: 0 8px 0 8px;
    margin-top: 120px;
}
.container{
    max-width: 1600px !important;
}
.title-page{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 1rem;
    color: var(--body-color);
}
/* Form */
.needs-validation , .card{
    background: var(--white-color);
    box-shadow: 0 3px 16px rgba(142, 134, 171, 0.082);
    border: none !important;
    margin-bottom: 1.5rem;
    border-radius: 8px;
    padding: 1.5rem;
}
.card{
    padding: 0;
}
/* title form */
.card-header , .card-body{
    background: transparent !important;
    border: 0 !important;
    padding: 0.7rem !important;
    width: 100%;
}
.title-form , .card-title , .h5, h5{
    margin-bottom: 0;
    font-size: 15px;
    font-weight: 500;
    text-transform: capitalize;
    color: var(--black-color);
}
.h5, h5{
    font-size: 14px !important;
}
.modal-header {
    background-color: var(--body-color);
}
.modal-header .modal-title {
    color: var(--white-color);
    font-size: 15px;
}
.modal-header .btn-close {
    font-size: 20px !important;
    box-shadow: none !important;
    padding: 10px !important;
    color: var(--white-color) !important;
    opacity: 1 !important;
    background: none !important;
}

.form-label , .control-label , .form-check-label , .custom-control-label{
    /* margin-bottom: .5rem; */
    font-weight: 500 !important;
    color: var(--lable-color);
    display: inline-block;
    vertical-align: middle;
    font-size: 0.812rem !important;
    line-height: 1.5;
}
.form-control , .form-select{
    font-size: 13px !important;
    box-shadow: none !important;
    background: transparent !important;
    color: var(--body-color) !important;
}
.form-select option{
    background: var(--white-color) !important;
}
.form-control:focus , .form-select:focus{
    border-color: var(--secondary-color) !important;
}
.needs-validation .form-control.form-data-control , .needs-validation .custom-select{
    display: block;
    width: 100%;
    padding: .517rem .95rem;
    font-size: .812rem !important;
    font-weight: 400;
    line-height: 1.5;
    color: var(--body-color);
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    appearance: none;
    background-clip: padding-box;
    border-radius: 0.4rem;
    -webkit-transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
}
.form-control::placeholder{
    color: var(--body-color) !important;
}
.needs-validation .form-control.form-data-control:focus , .needs-validation .custom-select:focus{
    border-color: var(--secondary-color);
    padding-right: calc(1.5em + 1.034rem);
    background-repeat: no-repeat;
    background-position: right calc(.375em + .2585rem) center;
    background-size: calc(.75em + .517rem) calc(.75em + .517rem);
    padding: .517rem .95rem;
    font-size: .812rem !important;
    font-weight: 400;
    box-shadow: none !important;
    line-height: 1.5;
}

.btn{
    font-size: 13px !important;
}
.needs-validation .custom-control-input{
    color: var(--body-color);
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    box-shadow: none !important;
    padding-left: 0;
}
.needs-validation .custom-control-input:checked~.custom-control-label::before{
    color: var(--white-color);
    box-shadow: 0 0 0 .2rem rgba(40,167,69,.25) !important;
    background: var(--secondary-color);
    border-color: var(--secondary-color);
}
/* .needs-validation .form-check{
    padding: 0;
} */

 .form-control.form-data-control ,  .custom-select{
    display: block;
    width: 100%;
    /* padding: .517rem .95rem;
    font-size: .812rem; */
    font-weight: 400;
    line-height: 1.5;
    color: var(--body-color);
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    appearance: none;
    background-clip: padding-box;
    border-radius: 0.4rem;
    -webkit-transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out, -webkit-box-shadow .15s ease-in-out;
}
 .form-control.form-data-control:focus ,  .custom-select:focus{
    border-color: var(--secondary-color);
    padding-right: calc(1.5em + 1.034rem);
    background-repeat: no-repeat;
    background-position: right calc(.375em + .2585rem) center;
    background-size: calc(.75em + .517rem) calc(.75em + .517rem);
    /* padding: .517rem .95rem;
    font-size: .812rem; */
    font-weight: 400;
    box-shadow: none !important;
    line-height: 1.5;
}

.custom-control-input , .form-check-input{
    color: var(--body-color);
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    box-shadow: none !important;
    padding-left: 0;
}
 .custom-control-input:checked~.custom-control-label::before{
    color: var(--white-color);
    box-shadow: 0 0 0 .2rem rgba(40,167,69,.25) !important;
    background: var(--secondary-color);
    border-color: var(--secondary-color);
}
/* .card .form-check{
    padding: 0;
} */
.form-check-input:checked {
    background-color: var(--secondary-color) !important;
    border-color: var(--secondary-color) !important;
}
.form-switch-success .form-check-input:checked {
    background-color: var(--secondary-color)  !important;
    border-color: var(--secondary-color)  !important;
}
.form-switch-secondary .form-check-input:checked {
    background-color: var(--secondary-gray-color)  !important;
    border-color: var(--secondary-gray-color)  !important;
}
.form-switch-warning .form-check-input:checked {
    background-color: var(--warning-color)  !important;
    border-color: var(--warning-color)  !important;
}
.form-switch-info .form-check-input:checked {
    background-color: var(--info-color)  !important;
    border-color: var(--info-color)  !important;
}
.form-switch-danger .form-check-input:checked {
    background-color: var(--danger-color)  !important;
    border-color: var(--danger-color)  !important;
}
.form-switch-dark .form-check-input:checked {
    background-color: var(--body-color)  !important;
    border-color: var(--body-color)  !important;
}
.form-switch-purple .form-check-input:checked {
    background-color: var(--primary-color-hover)  !important;
    border-color: var(--primary-color-hover)  !important;
}
.form-switch-pink .form-check-input:checked {
    background-color: var(--pink-color)  !important;
    border-color: var(--pink-color)  !important;
}

.input-group-text{
    font-size: 12px !important;
}
.needs-validation .custom-control-input{
    color: var(--body-color);
    background-color: var(--white-color);
    border: 1px solid var(--border-color);
    box-shadow: none !important;
    padding-left: 0;
}
.needs-validation .custom-control-input:checked~.custom-control-label::before{
    color: var(--white-color);
    box-shadow: 0 0 0 .2rem rgba(40,167,69,.25) !important;
    background: var(--secondary-color);
    border-color: var(--secondary-color);
}
.btn-success{
    background: var(--secondary-color) !important;
    border-color: var(--secondary-color) !important;
}
.btn-secondary{
    background: var(--secondary-gray-color) !important;
    border-color: var(--secondary-gray-color) !important;
}

.btn-outline-secondary {
    --bs-btn-color: var(--secondary-gray-color) !important;
    --bs-btn-border-color: var(--secondary-gray-color) !important;
    --bs-btn-hover-color: var(--white-color);
    --bs-btn-hover-bg: var(--secondary-gray-color) !important;
    --bs-btn-hover-border-color: var(--secondary-gray-color) !important;
    --bs-btn-focus-shadow-rgb: 108, 117, 125;
    --bs-btn-active-color: var(--white-color);
    --bs-btn-active-bg: var(--secondary-gray-color) !important;
    --bs-btn-active-border-color: var(--secondary-gray-color) !important;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--secondary-gray-color) !important;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--secondary-gray-color) !important;
    --bs-gradient: none;
}
.alert-page i {
    margin-right: 0.7rem;
    font-size: 1.2rem;
    
}
#liveAlertPlaceholder .alert {
    background: var(--secondary-gray-color);
    color: var(--white-color);
}
.alert-secondary {
    color: var(--secondary-gray-color) !important;
    background-color: var(--secondary-gray-color-light) !important;
    border: 1px solid var(--secondary-gray-color) !important;
}
.alert-pople{
    color: var(--primary-color) !important;
    background-color: var(--secondary-gray-color-light) !important;
    border: 1px solid var(--primary-color) !important;
}
.btn-info.pople{
    background: var(--primary-color);
    color: var(--white-color);
    border: 1px solid var(--primary-color);
}
.btn-info.pople:hover{
    background: var(--primary-color-hover);
    color: var(--white-color);
    border: 1px solid var(--primary-color-hover);
}

.thumb-xs {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 20px !important;
    width: 20px !important;
    font-size: 10px;
    font-weight: 700;
    padding: 9px;
}
.bg-pink-subtle {
    background-color: rgb(253 60 151 / 10%);
}
.text-pink {
    color: var(--pink-color) !important;
}

.text-purple {
    --bs-text-opacity: 1;
    color: var(--primary-color) !important;
}
.border.border-purple {
    --bs-border-opacity: 1;
    border:1px solid var(--primary-color) !important;
}
.bg-purple-subtle {
    background-color: rgb(115 103 240 / 10%);
}
.btn-primary , .badge.bg-primary{
    background-color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}
.btn-primary:hover{
    background: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}
.badge.text-primary{
    color: var(--primary-color) !important;
}
.badge.bg-primary-subtle {
    background-color: var(--secondary-gray-color-light) !important;
}
.btn.btn-outline-primary{
    color: var(--primary-color) !important;
    border-color: var(--primary-color) !important;
}
.btn.btn-outline-primary:hover{
    color: var(--white-color) !important;
    border-color: var(--primary-color) !important;
    background-color: var(--primary-color) !important;
}
.btn.btn-outline-success{
    border-color: var(--secondary-color) !important;
    color: var(--secondary-color) !important;
}
.btn.btn-outline-success:hover{
    border-color: var(--secondary-color) !important;
    background-color: var(--secondary-color) !important;
    color: var(--white-color) !important;
}
.btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active{
    background-color: var(--secondary-color) !important;
    color: var(--white-color) !important;
}
.btn-check+.btn:hover {
    color: var(--white-color);
    background-color: var(--secondary-gray-color);
    border-color: var(--secondary-gray-color);
}
.btn-check:checked+.btn.btn-radio-secondary{
    background-color: var(--secondary-gray-color) !important;
}
.btn.btn-primary.active{
    background-color: var(--primary-color) !important;
}
.btn.btn-outline-secondary.active{
    background-color: var(--primary-color) !important;
}
.btn-check:checked+.btn.btn-outline-danger{
    background-color: var(--bs-btn-active-bg) !important;
}
.btn-check:checked+.btn.btn-outline-primary{
    background-color: var(--primary-color) !important;
}
.btn.show.btn-outline-secondary , .btn.show.btn-secondary , .bg-secondary , .modal-header.bg-secondary{
    background-color: var(--secondary-gray-color) !important;
}
.btn.show.btn-outline-primary , .btn.show.btn-primary , .bg-primary , .modal-header.bg-primary{
    background-color: var(--primary-color) !important;
}
.btn.show.btn-outline-dark , .btn.show.btn-dark{
    background-color: var(--body-color) !important;
}
.btn.show.btn-outline-info , .btn.show.btn-info{
    color: var(--white-color) !important;
    background-color: var(--info-color) !important;
}
.btn.show.btn-outline-danger , .btn.show.btn-danger{
    background-color: var(--danger-color) !important;
}
.btn.show.btn-outline-warning , .btn.show.btn-warning{
    color: var(--white-color) !important;
    background-color: var(--warning-color) !important;
}
.btn.show.btn-outline-success , .btn.show.btn-success , .bg-success , .modal-header.bg-success{
    background-color: var(--secondary-color) !important;
}
.btn.show.btn-outline-light , .btn.show.btn-light{
    background-color: var(--hover-noti) !important;
    color: var(--body-color) !important;
}
.dropdown-item {
    font-size: 14px !important;
    padding: 10px 15px;
    transition: 0.3s;
    color: var(--body-color);
}
.dropdown-item:hover{
    background-color: var(--hover-noti) !important;
    color: var(--body-color);
}
.dropdown-menu{
    padding: 10px 0px 0px !important;
    background: var(--background-page);
}
.thumb-md {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    height: 36px;
    width: 36px;
    font-size: 14px;
    font-weight: 700;
}
.table thead th {
    border-bottom: none;
}
.table thead th:last-child {
    border-radius: 0 8px 8px 0;
}
.table thead th:first-child {
    border-radius: 8px 0 0 8px;
}
.table tbody tr:last-child td, .table tbody tr:last-child th {
    border-bottom: none;
}
.table tbody, .table td, .table tfoot, .table th, .table thead, .table tr {
    border-style: dashed;
}
.table>:not(caption)>*>*{
    padding: .75rem .75rem;
}
th{
    font-size: 15px !important;
    font-weight: 500;
    text-wrap: nowrap;
}
td{
    font-size: 13px !important;
}
.text-muted{
    font-size: 0.812rem !important;
}

.btn-dark{
    background: var(--dark-color);
}

.hr-page{
    height: 1px;
    width: 99%;
    margin: 1rem auto 2rem;
    background: var(--dark-color);
}



.table-responsive{
    text-align: center;
    max-height: 80vh;
    overflow-x: auto; /* للسماح بالتمرير الأفقي */
    -webkit-overflow-scrolling: touch; /* لجعل التمرير سلساً */
    white-space: nowrap; /* الحفاظ على التنسيق الأفقي */
    cursor: grab; /* شكل اليد عند الوقوف على الجدول */
}

.table-responsive:active {
    cursor: grabbing; /* شكل اليد عند السحب */
    user-select: none; /* منع التحديد */
    -webkit-user-select: none; /* دعم لمتصفحات WebKit */
    -ms-user-select: none; /* دعم لمتصفحات IE/Edge */
}
.table-responsive th , .table-responsive td{
    font-size: 13px !important;
    font-weight: 700;
}
.table-responsive th{
    background: var(--title-color);
    color: var(--white-color);
    border: none;
}
.table-responsive td{
    font-size: 12px !important;
    font-weight: 700;
    align-content: center;
    min-width: 160px;
}
.table-responsive table>tbody>tr:nth-of-type(odd)>*{
    color: var(--body-color) !important;
    background-color: var(--secondary-gray-color-light) !important;
}
.id-table{
    min-width: 50px !important;
    max-width: 60px;
}
.table thead th:last-child , .table thead th:first-child{
    border-radius: 0;
}
@media (max-width: 600px) {
    .sidebar{
        position: fixed;
        width: 70px;
    }
    .sidebar .sidebar-text , .sidebar .fa-angle-down {
        display: none;
    }
    .small-sidebar .sidebar-text , .small-sidebar .fa-angle-down {
        display: inline-block;
    }
    .sidebar.small-sidebar{
        width: 270px;
    }
    .page-content{
        padding-left: 70px;
    }
    /* .header-nav .nav-icon {
        margin-right: 15px;
        font-size: 13px;
        width: 30px;
        height: 30px;
    } */
    .header-nav .badge-number {
        font-weight: normal;
        font-size: 9px;
    }
    .nav-profile img{
        width: 35px;
        height: 35px;
    }
    /* #fullscreen {
        font-size: 14px;
        width: 30px;
        height: 30px;
    } */
}


